DIY 3.0 data-parallel out-of-core C++ library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Typedefs Groups Pages
Classes | Public Types | Public Member Functions | List of all members
diy::Grid< C, D > Struct Template Reference
Inheritance diagram for diy::Grid< C, D >:

## Classes
struct | rebind

## Public Types
typedef GridRef< C, D > | Parent
typedef Parent::Value | Value
typedef Parent::Index | Index
typedef Parent::Vertex | Vertex
typedef Parent | Reference
Public Types inherited from diy::GridRef< C, D >
typedef C | Value
typedef Point< int, D > | Vertex
typedef size_t | Index

## Public Member Functions
template<class Int >
| Grid (const Point< Int, D > &shape, bool c_order=true)
| Grid (Grid &&g)
| Grid (const Parent &g)
template<class OtherGrid >
| Grid (const OtherGrid &g)
template<class OC >
Grid & | operator= (const GridRef< OC, D > &other)
Grid & | operator= (Grid &&g)
Public Member Functions inherited from diy::GridRef< C, D >
template<class Int >
| GridRef (C *data, const Point< Int, D > &shape, bool c_order=true)
| GridRef (Grid< C, D > &g)
template<class Int >
C | operator() (const Point< Int, D > &v) const
template<class Int >
C & | operator() (const Point< Int, D > &v)
C | operator() (Index i) const
C & | operator() (Index i)
const Vertex & | shape () const
const C * | data () const
C * | data ()
GridRef & | operator= (C value)
GridRef & | operator/= (C value)
Vertex | vertex (Index idx) const
Index | index (const Vertex &v) const
Index | size () const
void | swap (GridRef &other)
bool | c_order () const

## Additional Inherited Members
Static Public Member Functions inherited from diy::GridRef< C, D >
static constexpr unsigned | dimension ()
Protected Member Functions inherited from diy::GridRef< C, D >
void | set_stride ()
void | set_shape (const Vertex &v)
void | set_data (C *data)
void | set_c_order (bool order)
Static Protected Member Functions inherited from diy::GridRef< C, D >
static Index | size (const Vertex &v)

The documentation for this struct was generated from the following file:

- include/diy/grid.hpp